Subject: Re: Change in alloc_skb() behavior in 3.2+ kernels?

From: Grant Edwards <[email-masked]>
Date: Wed, 6 Jun 2012 20:24:00 +0000 (UTC)

On 2012-06-06, David Miller <[email-masked]> wrote:
> From: Grant Edwards <[email-masked]>
> Date: Wed, 6 Jun 2012 19:01:40 +0000 (UTC)
>
>> That's what I'll do as soon as I can find a definition of what the API
>> for alloc_skb() actually _is_.  It has clearly changed in the past few
>> years.
>
> And it will continue to change.  There are no stable APIs inside of
> the kernel, none.

Oh, I know (as does anybody who has maintained a driver for more than
a few months).  Right now, I'm just trying to find out what the
current API for alloc_skb() is.

Is skb_tailroom() guaranteed to be >= the requested size?

-- 
Grant Edwards               grant.b.edwards        Yow! I'm wet!  I'm wild!
                                  at               
                              gmail.com